Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1761011

Summary: Review Request: octave-brain2mesh - A fully automated high-quality brain tetrahedral mesh generation toolbox
Product: [Fedora] Fedora Reporter: Qianqian Fang <fangqq>
Component: Package ReviewAssignee: Robert-André Mauchin 🐧 <zebob.m>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: morgan.hough, package-review, sanjay.ankur, zebob.m
Target Milestone: ---Flags: zebob.m: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-10-14 16:12:52 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1276941    

Description Qianqian Fang 2019-10-11 22:24:51 UTC
Spec URL: https://raw.githubusercontent.com/fangq/fedorapkg/brain2mesh/octave-brain2mesh.spec
SRPM URL: https://kwafoo.coe.neu.edu/~fangq/share/temp/octave-brain2mesh-0.5-1.fc30.src.rpm
Description: 

The Brain2Mesh toolbox provides a streamlined matlab function to convert
a segmented brain volumes and surfaces into a high-quality multi-layered
tetrahedral brain/full head mesh. Typical inputs include segmentation
outputs from SPM, FreeSurfer, FSL etc. This tool does not handle the
segmentation of MRI scans, but examples of how commonly encountered
segmented datasets can be used to create meshes can be found in the 
package named brain2mesh-demos.

Fedora Account System Username: fangq

Comment 1 Qianqian Fang 2019-10-11 22:32:19 UTC
rpmlint output for the srpm

-----------------------------------------------------------
$ rpmlint /home/fangq/rpmbuild/SRPMS/octave-brain2mesh-0.5-1.fc30.src.rpm
octave-brain2mesh.src: W: spelling-error %description -l en_US matlab -> mat lab, mat-lab, mantilla
octave-brain2mesh.src: W: spelling-error %description -l en_US datasets -> data sets, data-sets, databases
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
-----------------------------------------------------------

rpmlint output for the built packages
-----------------------------------------------------------
$ rpmlint /home/fangq/rpmbuild/RPMS/noarch/octave-brain2mesh-0.5-1.fc30.noarch.rpm
octave-brain2mesh.noarch: W: spelling-error %description -l en_US matlab -> mat lab, mat-lab, mantilla
octave-brain2mesh.noarch: W: spelling-error %description -l en_US datasets -> data sets, data-sets, databases
octave-brain2mesh.noarch: W: dangerous-command-in-%preun mv
1 packages and 0 specfiles checked; 0 errors, 3 warnings.
-----------------------------------------------------------
$ rpmlint /home/fangq/rpmbuild/RPMS/noarch/brain2mesh-demos-0.5-1.fc30.noarch.rpm
brain2mesh-demos.noarch: W: spelling-error Summary(en_US) datasets -> data sets, data-sets, databases
brain2mesh-demos.noarch: W: spelling-error %description -l en_US datasets -> data sets, data-sets, databases
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
-----------------------------------------------------------

Comment 2 Robert-André Mauchin 🐧 2019-10-13 18:22:34 UTC
LGTM, package approved.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v3 or later)", "Unknown or generated". 20 files have
     unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/octave-brain2mesh/review-octave-
     brain2mesh/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     brain2mesh-demos
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: octave-brain2mesh-0.5-1.fc32.noarch.rpm
          brain2mesh-demos-0.5-1.fc32.noarch.rpm
          octave-brain2mesh-0.5-1.fc32.src.rpm
octave-brain2mesh.noarch: W: spelling-error %description -l en_US matlab -> mat lab, mat-lab, mantilla
octave-brain2mesh.noarch: W: spelling-error %description -l en_US datasets -> data sets, data-sets, databases
octave-brain2mesh.noarch: W: dangerous-command-in-%preun mv
brain2mesh-demos.noarch: W: spelling-error Summary(en_US) datasets -> data sets, data-sets, databases
brain2mesh-demos.noarch: W: spelling-error %description -l en_US datasets -> data sets, data-sets, databases
octave-brain2mesh.src: W: spelling-error %description -l en_US matlab -> mat lab, mat-lab, mantilla
octave-brain2mesh.src: W: spelling-error %description -l en_US datasets -> data sets, data-sets, databases
3 packages and 0 specfiles checked; 0 errors, 7 warnings.

Comment 3 Qianqian Fang 2019-10-14 02:19:33 UTC
terrific! thank you, will build it right away.

Comment 4 Gwyn Ciesla 2019-10-14 13:57:24 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/octave-brain2mesh

Comment 5 Fedora Update System 2019-10-14 16:11:02 UTC
FEDORA-2019-78e2d9df3e has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-78e2d9df3e

Comment 6 Fedora Update System 2019-10-14 16:11:22 UTC
FEDORA-2019-ea8f83eb25 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-ea8f83eb25

Comment 7 Fedora Update System 2019-10-14 16:11:53 UTC
FEDORA-2019-749d4f5fb5 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-749d4f5fb5

Comment 8 Fedora Update System 2019-10-15 15:28:01 UTC
octave-brain2mesh-0.5-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-749d4f5fb5

Comment 9 Fedora Update System 2019-10-15 22:58:01 UTC
octave-brain2mesh-0.5-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ea8f83eb25

Comment 10 Fedora Update System 2019-10-16 00:14:16 UTC
octave-brain2mesh-0.5-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-78e2d9df3e

Comment 11 Fedora Update System 2019-10-25 17:00:21 UTC
octave-brain2mesh-0.5-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2019-10-25 18:06:43 UTC
octave-brain2mesh-0.5-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2019-10-26 17:25:52 UTC
octave-brain2mesh-0.5-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.